#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}devel\\(libKGlobalAccelD

%define _cmake_skip_rpath -DCMAKE_SKIP_RPATH:BOOL=OFF
%define min_version %(echo %{version}|cut -d. -f1,2)

%define rel 2

Summary:        Plasma Window Manager
Name:           kwin
Version: 6.2.91
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

## upstream patches
# https://invent.kde.org/plasma/kwin/-/commit/8502be80d0c6f8b3e081efb8390b9793b43cca41
# https://bugs.kde.org/show_bug.cgi?id=498837
# https://bugzilla.redhat.com/show_bug.cgi?id=2338761
# fix a bug that frequently caused Xwayland to exit abnormally
# causing notifications and broken user switching
Patch1:         0001-xwayland_Keep-read-yfd-until-Xwayland-is-stopped.patch

BuildRequires:  kf6-rpm-macros

BuildRequires:  pkgconfig(gbm)
BuildRequires:  pkgconfig(libcap)
BuildRequires:  pkgconfig(libcanberra)
BuildRequires:  pkgconfig(libpipewire-0.3)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-image)
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(xcb-icccm)
BuildRequires:  pkgconfig(xcb-util)
BuildRequires:  pkgconfig(libxcvt)
BuildRequires:  pkgconfig(hwdata)

BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(epoxy)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  pkgconfig(xcb-cursor)
BuildRequires:  pkgconfig(xwayland)
BuildRequires:  pkgconfig(wayland-egl)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(libdisplay-info)
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(libeis-1.0)
BuildRequires:  pkgconfig(libinput) >= 0.10
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(lcms2)

BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Multimedia)
BuildRequires:  cmake(Qt6UiTools)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6QuickWidgets)
BuildRequires:  cmake(Qt6WaylandClient)
BuildRequires:  cmake(Qt6Sensors)

BuildRequires:  cmake(KF6Auth)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6GlobalAccel)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6IdleTime)
BuildRequires:  cmake(KF6Package)
BuildRequires:  cmake(KF6Service)
BuildRequires:  cmake(KF6Svg)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6Declarative)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6NewStuff)
BuildRequires:  cmake(KF6XmlGui)

BuildRequires:  cmake(KWayland)
BuildRequires:  cmake(PlasmaActivities)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6Kirigami)
BuildRequires:  cmake(Plasma)
BuildRequires:  cmake(KDecoration3)
BuildRequires:  cmake(Breeze)

BuildRequires:  cmake(QAccessibilityClient6)

BuildRequires:  cmake(PlasmaWaylandProtocols)
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-server)

BuildRequires:  cmake(KGlobalAccelD)
BuildRequires:  cmake(KScreenLocker)

# runtime dependencies
BuildRequires:  kdeclarative
Requires:       kdeclarative
Requires:       hwdata

Requires:       qt6-qtmultimedia
Requires:       %name-common = %version-%release
Requires:       kscreenlocker
Requires:       breeze


%description
Plasma Window Manager.

%files
%_kf6_bindir/kwin_x11

#--------------------------------------------------------------------

%package        common
Summary:        Common files for KWin X11 and KWin Wayland
Group:          System/Base

# ease upgrade mga9 -> mga10
Conflicts:      kdeplasma-addons < 5.27.80

%description    common
Common files for KWin X11 and KWin Wayland.

%files common -f %{name}.lang
%_kf6_categoriesdir/org_kde_kwin.*categories
%_kf6_datadir/kwin/
%_kf6_datadir/dbus-1/interfaces/*.xml
%_kf6_iconsdir/*/*/apps/*
%_kf6_knotificationsdir/kwin.notifyrc
%_kf6_qmldir/org/kde/kwin
%_qt6_plugindir/kwin/
%_qt6_plugindir/plasma/kcms/systemsettings/
%_qt6_plugindir/plasma/kcms/systemsettings_qwidgets/
%_libexecdir/kwin_killer_helper
%_libexecdir/kwin-applywindowdecoration
%_kf6_datadir/config.kcfg/kwin*.kcfg
%_kf6_datadir/config.kcfg/virtualdesktopssettings.kcfg
%_kf6_datadir/config.kcfg/nightlightsettings.kcfg
%_kf6_datadir/kconf_update/kwin*.upd
%_kf6_datadir/knsrcfiles/*.knsrc
%_kf6_libdir/kconf_update_bin/kwin5_update_default_rules
%_kf6_libdir/kconf_update_bin/kwin-6.0-delete-desktop-switching-shortcuts
%_kf6_libdir/kconf_update_bin/kwin-6.0-reset-active-mouse-screen
%_kf6_libdir/kconf_update_bin/kwin-6.0-remove-breeze-tabbox-default
%_kf6_libdir/kconf_update_bin/kwin-6.1-remove-gridview-expose-shortcuts
%_kf6_plugindir/packagestructure/kwin*.so
%_qt6_plugindir/org.kde.kdecoration3/org.kde.kwin.aurorae.so
%_qt6_plugindir/org.kde.kdecoration3.kcm/kcm_auroraedecoration.so
%_userunitdir/plasma-kwin_x11.service
%_kf6_datadir/krunner/dbusplugins/kwin-runner-windows.desktop
%_userunitdir/plasma-kwin_wayland.service
%_kf6_applicationdir/kcm_kwin_effects.desktop
%_kf6_applicationdir/kcm_kwin_scripts.desktop
%_kf6_applicationdir/kcm_kwin_virtualdesktops.desktop
%_kf6_applicationdir/kcm_kwindecoration.desktop
%_kf6_applicationdir/kcm_kwinoptions.desktop
%_kf6_applicationdir/kcm_kwinrules.desktop
%_kf6_applicationdir/kcm_kwintabbox.desktop
%_kf6_applicationdir/kcm_virtualkeyboard.desktop
%_kf6_applicationdir/kwincompositing.desktop
%_kf6_applicationdir/kcm_kwinxwayland.desktop
%_kf6_applicationdir/org.kde.kwin.killer.desktop

#--------------------------------------------------------------------

%define kwin_major 6
%define libkwin    %mklibname kwin %{kwin_major}

%package -n %libkwin
Summary:        Plasma Window Manager
Group:          System/Libraries

%description -n %libkwin
Plasma Window Manager.

%files -n %libkwin
%_kf6_libdir/libkwin.so.%{kwin_major}{,.*}

#--------------------------------------------------------------------

%define kcmkwincommon_major 6
%define libkcmkwincommon    %mklibname kcmkwincommon %{kcmkwincommon_major}

%package -n %libkcmkwincommon
Summary:        Plasma Window Manager
Group:          System/Libraries

%description -n %libkcmkwincommon
Plasma Window Manager.

%files -n %libkcmkwincommon
%_kf6_libdir/libkcmkwincommon.so.%{kcmkwincommon_major}{,.*}

#--------------------------------------------------------------------

%package        wayland
Summary:        KDE Window Manager with experimental Wayland support
Requires:       %{name}-common%{?_isa} = %{version}-%{release}
Requires:       kwayland-integration%{?_isa}
Requires:       qt6-qtwayland
Requires:       x11-server-xwayland

%description    wayland
KDE Window Manager with experimental Wayland support.

%files wayland
%_kf6_bindir/kwin_wayland
%_kf6_bindir/kwin_wayland_wrapper

#--------------------------------------------------------------------

%define kwin_devel %mklibname kwin -d

%package -n %kwin_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkwin = %version-%release
Requires:       %libkcmkwincommon = %version-%release
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kwin_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kwin_devel
%_includedir/kwin/
%_kf6_libdir/*.so
%_kf6_libdir/cmake/KWin/
%_kf6_libdir/cmake/KWinDBusInterface/

#--------------------------------------------------------------------

%package handbook
Summary:        %{name} Handbook
Group:          Documentation
BuildArch:      noarch

%description handbook
This package provides %{name} Handbook.

%files handbook
%doc %_kf6_docdir/HTML/*/kcontrol/windowspecific/
%doc %_kf6_docdir/HTML/*/kcontrol/desktop/
%doc %_kf6_docdir/HTML/*/kcontrol/kwindecoration/
%doc %_kf6_docdir/HTML/*/kcontrol/kwinscreenedges/
%doc %_kf6_docdir/HTML/*/kcontrol/kwintabbox/
%doc %_kf6_docdir/HTML/*/kcontrol/windowbehaviour/
%doc %_kf6_docdir/HTML/*/kcontrol/kwineffects/
%doc %_kf6_docdir/HTML/*/kcontrol/kwintouchscreen/
%doc %_kf6_docdir/HTML/*/kcontrol/kwinvirtualkeyboard/

#------------------------------------------------


%prep
%autosetup -p1

%build
%cmake_kf6 \
        -DSYSCONF_INSTALL_DIR="%_kf6_sysconfdir" \
        -DCMAKE_INSTALL_RPATH_USE_LINK_PATH=ON

%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name



%changelog
* Wed Feb 05 2025 daviddavid <daviddavid> 6.2.91-2.mga10
+ Revision: 2145335
- backport upstream patch for Xwayland crash issue (kde#498837)

* Thu Jan 23 2025 daviddavid <daviddavid> 6.2.91-1.mga10
+ Revision: 2140815
- New version 6.2.91

* Sun Jan 12 2025 daviddavid <daviddavid> 6.2.90-1.mga10
+ Revision: 2138606
- New version 6.2.90

* Wed Jan 01 2025 daviddavid <daviddavid> 6.2.5-1.mga10
+ Revision: 2134175
- New version 6.2.5

* Tue Nov 26 2024 daviddavid <daviddavid> 6.2.4-1.mga10
+ Revision: 2119048
- New version 6.2.4

* Tue Nov 19 2024 daviddavid <daviddavid> 6.2.3-2.mga10
+ Revision: 2117709
- backport fix for keyboard focus after using the task switcher
   https://bugs.kde.org/show_bug.cgi?id=495844
   https://bugs.kde.org/show_bug.cgi?id=491398

* Sat Nov 09 2024 daviddavid <daviddavid> 6.2.3-1.mga10
+ Revision: 2113158
- New version 6.2.3

* Wed Oct 23 2024 daviddavid <daviddavid> 6.2.2-1.mga10
+ Revision: 2110382
- New version 6.2.2

* Wed Oct 16 2024 daviddavid <daviddavid> 6.2.1-1.mga10
+ Revision: 2107347
- New version 6.2.1

* Sun Oct 13 2024 daviddavid <daviddavid> 6.2.0-2.mga10
+ Revision: 2105598
- backport patches from upstream
  * Disable triple buffering with NVIDIA
  * Fall back to an overlay plane if no cursor plane is available

* Wed Oct 09 2024 daviddavid <daviddavid> 6.2.0-1.mga10
+ Revision: 2104445
- New version 6.2.0

* Sun Sep 15 2024 neoclust <neoclust> 6.1.90-1.mga10
+ Revision: 2096942
- New version 6.1.90

* Wed Aug 07 2024 daviddavid <daviddavid> 6.1.4-1.mga10
+ Revision: 2083907
- New version 6.1.4

* Fri Jul 05 2024 daviddavid <daviddavid> 6.1.2-2.mga10
+ Revision: 2079809
- rebuild for new libdisplay-info 0.2.0

* Tue Jul 02 2024 daviddavid <daviddavid> 6.1.2-1.mga10
+ Revision: 2079116
- New version 6.1.2

* Thu Jun 27 2024 daviddavid <daviddavid> 6.1.1.2-1.mga10
+ Revision: 2077440
- New version 6.1.1.2

* Tue Jun 25 2024 daviddavid <daviddavid> 6.1.1-1.mga10
+ Revision: 2076713
- New version 6.1.1

* Tue Jun 18 2024 neoclust <neoclust> 6.1.0-1.mga10
+ Revision: 2074865
- New version 6.1.0

* Sat Jun 08 2024 neoclust <neoclust> 6.0.90.1-1.mga10
+ Revision: 2070969
- New version 6.0.90.1
- New version 6.0.90

* Tue Apr 23 2024 daviddavid <daviddavid> 6.0.4.1-1.mga10
+ Revision: 2060536
- New version 6.0.4.1

* Tue Apr 16 2024 daviddavid <daviddavid> 6.0.4-1.mga10
+ Revision: 2057915
- New version 6.0.4

* Wed Mar 27 2024 daviddavid <daviddavid> 6.0.3-1.mga10
+ Revision: 2052477
- New version 6.0.3

* Tue Mar 12 2024 daviddavid <daviddavid> 6.0.2-1.mga10
+ Revision: 2049392
- New version 6.0.2

* Thu Mar 07 2024 daviddavid <daviddavid> 6.0.1-1.mga10
+ Revision: 2048381
- New version 6.0.1

* Thu Feb 29 2024 neoclust <neoclust> 6.0.0-1.mga10
+ Revision: 2045818
- New version 6.0.0

* Wed Feb 07 2024 neoclust <neoclust> 5.93.0-1.mga10
+ Revision: 2038319
- New version 5.93.0

* Wed Jan 10 2024 neoclust <neoclust> 5.92.0-1.mga10
+ Revision: 2029649
- New version 5.92.0

* Wed Jan 03 2024 neoclust <neoclust> 5.91.0-1.mga10
+ Revision: 2026401
- New version 5.91.0
- New version 5.90.0
- New version 5.90.0

* Mon Nov 13 2023 daviddavid <daviddavid> 5.27.80-2.mga10
+ Revision: 2006567
- exclude unexistent devel(libKGlobalAccelD) from the auto-dependencies

* Sun Nov 12 2023 neoclust <neoclust> 5.27.80-1.mga10
+ Revision: 2006362
- New version 5.27.80

* Wed Oct 25 2023 daviddavid <daviddavid> 5.27.9-1.mga10
+ Revision: 2001498
- New version 5.27.9

* Wed Sep 20 2023 daviddavid <daviddavid> 5.27.8-1.mga10
+ Revision: 1988243
- New version 5.27.8

* Wed May 31 2023 neoclust <neoclust> 5.27.5-1.mga9
+ Revision: 1960136
- New version 5.27.5

* Wed Apr 12 2023 neoclust <neoclust> 5.27.4.1-1.mga9
+ Revision: 1952810
- New version 5.27.4.1

* Mon Apr 10 2023 neoclust <neoclust> 5.27.4-1.mga9
+ Revision: 1951959
- New version 5.27.4

* Wed Mar 15 2023 neoclust <neoclust> 5.27.3-1.mga9
+ Revision: 1949084
- New version 5.27.3

* Tue Feb 28 2023 neoclust <neoclust> 5.27.2-1.mga9
+ Revision: 1945791
- New version 5.27.2

* Wed Feb 22 2023 daviddavid <daviddavid> 5.27.1-1.mga9
+ Revision: 1944803
- New version 5.27.1

* Tue Feb 14 2023 neoclust <neoclust> 5.27.0-1.mga9
+ Revision: 1942070
- New version 5.27.0

* Tue Jan 24 2023 neoclust <neoclust> 5.26.90-1.mga9
+ Revision: 1935661
- New version 5.26.90

* Thu Jan 05 2023 daviddavid <daviddavid> 5.26.5-1.mga9
+ Revision: 1930067
- New version 5.26.5

* Thu Dec 15 2022 neoclust <neoclust> 5.26.4-1.mga9
+ Revision: 1923119
- New version 5.26.4

* Wed Dec 14 2022 daviddavid <daviddavid> 5.26.3-2.mga9
+ Revision: 1922129
- rebuild for new Qt5 5.15.7 stack

* Wed Nov 16 2022 neoclust <neoclust> 5.26.3-1.mga9
+ Revision: 1907965
- New version 5.26.3
- New version 5.26.2.1
- New version 5.26.2
+ papoteur <papoteur>
- Remove BR on KWaylandServer, now integrated in kwin

* Sun Sep 18 2022 neoclust <neoclust> 5.25.90-1.mga9
+ Revision: 1889696
- New version 5.25.90

* Fri Aug 05 2022 neoclust <neoclust> 5.25.4-1.mga9
+ Revision: 1875469
- New version 5.25.4

* Tue Jul 26 2022 neoclust <neoclust> 5.25.3-1.mga9
+ Revision: 1872358
- New version 5.25.3
- New version 5.25.3
- New version 5.24.5

* Sun Apr 10 2022 neoclust <neoclust> 5.24.4-1.mga9
+ Revision: 1848609
- New version 5.24.4

* Mon Jan 03 2022 neoclust <neoclust> 5.23.4-1.mga9
+ Revision: 1766476
- New version 5.23.4

* Mon Nov 15 2021 neoclust <neoclust> 5.23.3-1.mga9
+ Revision: 1757036
- New version 5.23.3

* Fri Oct 08 2021 neoclust <neoclust> 5.23.0-1.mga9
+ Revision: 1750083
- New version 5.23.0
- New version 5.22.90

* Sun Jul 18 2021 neoclust <neoclust> 5.22.3-1.mga9
+ Revision: 1736582
- New version 5.22.3

* Thu May 06 2021 daviddavid <daviddavid> 5.21.5-1.mga9
+ Revision: 1721762
- New version 5.21.5

* Mon Apr 12 2021 daviddavid <daviddavid> 5.21.4-1.mga9
+ Revision: 1715395
- New version 5.21.4

* Fri Mar 19 2021 daviddavid <daviddavid> 5.21.3-1.mga9
+ Revision: 1704558
- New version 5.21.3

* Wed Mar 03 2021 daviddavid <daviddavid> 5.21.2-1.mga9
+ Revision: 1697442
- New version 5.21.2

* Tue Mar 02 2021 daviddavid <daviddavid> 5.21.1-2.mga9
+ Revision: 1695755
- rebuild against current glibc

* Sun Feb 28 2021 daviddavid <daviddavid> 5.21.1-1.mga9
+ Revision: 1693324
- New version 5.21.1

* Tue Jan 26 2021 neoclust <neoclust> 5.20.4-3.mga8
+ Revision: 1673515
- Rebuild against fixed kglobalaccel

* Sat Jan 23 2021 daviddavid <daviddavid> 5.20.4-2.mga8
+ Revision: 1672959
- rebuild against current kdeclarative-5.76.0-2

* Mon Dec 07 2020 daviddavid <daviddavid> 5.20.4-1.mga8
+ Revision: 1654197
- New version 5.20.4

* Sat Nov 14 2020 daviddavid <daviddavid> 5.20.3-1.mga8
+ Revision: 1645411
- New version 5.20.3

* Mon Nov 09 2020 daviddavid <daviddavid> 5.20.2-2.mga8
+ Revision: 1643869
- backport upstream patches to add hidden option to govern repositioning
  minimized windows in focuschain/task switcher

* Wed Oct 28 2020 daviddavid <daviddavid> 5.20.2-1.mga8
+ Revision: 1639988
- New version 5.20.2

* Wed Oct 21 2020 daviddavid <daviddavid> 5.20.1-1.mga8
+ Revision: 1637741
- New version 5.20.1

* Wed Oct 14 2020 daviddavid <daviddavid> 5.20.0-1.mga8
+ Revision: 1635536
- New version 5.20.0

* Wed Sep 02 2020 daviddavid <daviddavid> 5.19.5-1.mga8
+ Revision: 1620782
- New version 5.19.5

* Sat Aug 01 2020 daviddavid <daviddavid> 5.19.4-2.mga8
+ Revision: 1610068
- enable Mesa gbm support
- add missing runtime dependency on hwdata

* Wed Jul 29 2020 daviddavid <daviddavid> 5.19.4-1.mga8
+ Revision: 1609607
- New version 5.19.4

* Wed Jul 08 2020 neoclust <neoclust> 5.19.3-1.mga8
+ Revision: 1603006
- New version 5.19.3

* Tue Jun 23 2020 daviddavid <daviddavid> 5.19.2-1.mga8
+ Revision: 1598721
- New version 5.19.2

* Thu Jun 18 2020 daviddavid <daviddavid> 5.19.1-1.mga8
+ Revision: 1595850
- New version 5.19.1
+ neoclust <neoclust>
- New version 5.18.90

* Wed May 06 2020 daviddavid <daviddavid> 5.18.5-1.mga8
+ Revision: 1580754
- New version 5.18.5
- New version 5.18.4.1

* Tue Mar 17 2020 daviddavid <daviddavid> 5.18.3-1.mga8
+ Revision: 1557154
- New version 5.18.3

* Tue Feb 25 2020 daviddavid <daviddavid> 5.18.2-1.mga8
+ Revision: 1550380
- New version 5.18.2

* Fri Feb 21 2020 daviddavid <daviddavid> 5.18.1-1.mga8
+ Revision: 1548246
- New version 5.18.1

* Thu Feb 20 2020 umeabot <umeabot> 5.18.0-2.mga8
+ Revision: 1546998
- Mageia 8 Mass Rebuild

* Wed Feb 12 2020 daviddavid <daviddavid> 5.18.0-1.mga8
+ Revision: 1496279
- New version 5.18.0

* Thu Feb 06 2020 neoclust <neoclust> 5.17.90-1.mga8
+ Revision: 1487451
- New version 5.17.90
+ wally <wally>
- build with new cmake macros

* Wed Dec 04 2019 daviddavid <daviddavid> 5.17.4-1.mga8
+ Revision: 1464302
- New version 5.17.4

* Fri Nov 15 2019 daviddavid <daviddavid> 5.17.3-1.mga8
+ Revision: 1460060
- New version 5.17.3

* Wed Oct 30 2019 daviddavid <daviddavid> 5.17.2-1.mga8
+ Revision: 1456771
- New version 5.17.2

* Wed Oct 23 2019 daviddavid <daviddavid> 5.17.1-1.mga8
+ Revision: 1455336
- New version 5.17.1

* Mon Oct 14 2019 neoclust <neoclust> 5.17.0-1.mga8
+ Revision: 1453168
- New version 5.17.0

* Mon Sep 30 2019 neoclust <neoclust> 5.16.90-1.mga8
+ Revision: 1448125
- New version 5.16.90

* Wed Sep 04 2019 neoclust <neoclust> 5.16.5-1.mga8
+ Revision: 1437052
- New version 5.16.5

* Wed Jul 31 2019 neoclust <neoclust> 5.16.4-1.mga8
+ Revision: 1426320
- New version 5.16.4

* Mon Jul 29 2019 daviddavid <daviddavid> 5.16.3-2.mga8
+ Revision: 1424848
- rebuild with fixed kf5-macros to install Qml files in the good path

* Wed Jul 24 2019 daviddavid <daviddavid> 5.16.3-1.mga8
+ Revision: 1423872
- rebuild against new Qt 5.13.0 stack
+ neoclust <neoclust>
- New version 5.16.3

* Wed Apr 10 2019 neoclust <neoclust> 5.15.4-1.mga7
+ Revision: 1387856
- New version 5.15.4

* Sun Mar 31 2019 umeabot <umeabot> 5.15.3.2-4.mga7
+ Revision: 1383005
- Qt5 Rebuild

* Tue Mar 26 2019 tmb <tmb> 5.15.3.2-3.mga7
+ Revision: 1380433
- [platform/X11] Force glXSwapBuffers to block with NVIDIA driver

* Sat Mar 23 2019 daviddavid <daviddavid> 5.15.3.2-2.mga7
+ Revision: 1379698
- rebuild for new Qt 5.12.2

* Wed Mar 13 2019 daviddavid <daviddavid> 5.15.3.2-1.mga7
+ Revision: 1375856
- New version: 5.15.3.2
+ neoclust <neoclust>
- New version 5.15.3

* Thu Feb 28 2019 neoclust <neoclust> 5.15.2-1.mga7
+ Revision: 1370558
- New version 5.15.2

* Tue Feb 19 2019 neoclust <neoclust> 5.15.1-1.mga7
+ Revision: 1368598
- New version 5.15.1

* Sat Feb 16 2019 neoclust <neoclust> 5.15.0-1.mga7
+ Revision: 1367493
- New version 5.15.0

* Wed Feb 06 2019 daviddavid <daviddavid> 5.14.5-3.mga7
+ Revision: 1363717
- rebuild against new Qt5 5.12.1

* Wed Jan 23 2019 neoclust <neoclust> 5.14.5-2.mga7
+ Revision: 1360022
- Add P0 to fix flickering with Qt 5.12

* Mon Jan 14 2019 neoclust <neoclust> 5.14.5-1.mga7
+ Revision: 1356182
- New version 5.14.5

* Thu Jan 03 2019 daviddavid <daviddavid> 5.14.4-5.mga7
+ Revision: 1348844
- drop definitely qtvirtualkeyboard5 support

* Wed Dec 26 2018 daviddavid <daviddavid> 5.14.4-4.mga7
+ Revision: 1345114
- recommend qtvirtualkeyboard5 instead

* Fri Dec 21 2018 daviddavid <daviddavid> 5.14.4-3.mga7
+ Revision: 1344099
- really enable Libcap support with fixed libcap pkg

* Fri Dec 21 2018 daviddavid <daviddavid> 5.14.4-2.mga7
+ Revision: 1343977
- enable Libcap support
- add some missing runtime dependencies

* Sun Dec 09 2018 neoclust <neoclust> 5.14.4-1.mga7
+ Revision: 1339319
- New version 5.14.4

* Wed Oct 24 2018 neoclust <neoclust> 5.14.2-1.mga7
+ Revision: 1325007
- New version 5.14.2

* Sun Sep 23 2018 umeabot <umeabot> 5.13.4-2.mga7
+ Revision: 1298694
- Mageia 7 Mass Rebuild

* Thu Aug 16 2018 neoclust <neoclust> 5.13.4-1.mga7
+ Revision: 1251905
- New version 5.13.4
+ daviddavid <daviddavid>
- fix non devel files into devel sub-pkg

* Fri Feb 23 2018 neoclust <neoclust> 5.12.2-1.mga7
+ Revision: 1204449
- New version 5.12.2

* Wed Feb 14 2018 neoclust <neoclust> 5.12.1-1.mga7
+ Revision: 1200995
- New version 5.12.1

* Fri Jan 19 2018 neoclust <neoclust> 5.11.95-1.mga7
+ Revision: 1194497
- New version 5.11.95

* Wed Dec 27 2017 neoclust <neoclust> 5.11.4-1.mga7
+ Revision: 1185689
- New version 5.11.4

* Fri Oct 27 2017 neoclust <neoclust> 5.11.2-1.mga7
+ Revision: 1174109
- New version 5.11.2

* Tue Oct 17 2017 neoclust <neoclust> 5.11.1-1.mga7
+ Revision: 1172394
- New version 5.11.1

* Thu Oct 05 2017 neoclust <neoclust> 5.10.95-1.mga7
+ Revision: 1169260
- New version 5.10.95
- New version 5.10.5

* Sun Jul 23 2017 neoclust <neoclust> 5.10.4-1.mga7
+ Revision: 1128979
- New version 5.10.4
- New version 5.10.3.1
- New version 5.10.3

* Sun Jun 25 2017 akien <akien> 5.8.7-2.mga6
+ Revision: 1108476
- Add rediffed upstream KWin 5.10.3 patch to fix bko#344326 (mga#18904)

* Fri May 26 2017 neoclust <neoclust> 5.8.7-1.mga6
+ Revision: 1105053
- New version 5.8.7
- Add P0: try to fix  support of nvidia drivers

* Thu Mar 09 2017 neoclust <neoclust> 5.8.6-3.mga6
+ Revision: 1090534
- Rebuild for Armv7

* Wed Mar 08 2017 neoclust <neoclust> 5.8.6-2.mga6
+ Revision: 1090375
- Rebuild for armv7

* Mon Mar 06 2017 neoclust <neoclust> 5.8.6-1.mga6
+ Revision: 1089031
- New version 5.8.6

* Fri Dec 30 2016 neoclust <neoclust> 5.8.5-2.mga6
+ Revision: 1078718
- Fix conflict against kdebase4-workspace

* Tue Dec 27 2016 neoclust <neoclust> 5.8.5-1.mga6
+ Revision: 1078166
- New version 5.8.5

* Mon Nov 28 2016 neoclust <neoclust> 5.8.4-1.mga6
+ Revision: 1070723
- New version 5.8.4

* Thu Nov 03 2016 neoclust <neoclust> 5.8.3-2.mga6
+ Revision: 1065083
- Rebuild against Qt 5.6.2

* Tue Nov 01 2016 neoclust <neoclust> 5.8.3-1.mga6
+ Revision: 1064484
- New version 5.8.3

* Sat Oct 22 2016 neoclust <neoclust> 5.8.2-1.mga6
+ Revision: 1063054
- New version 5.8.2
- New version 5.8.2

* Wed Oct 12 2016 neoclust <neoclust> 5.8.1-1.mga6
+ Revision: 1060279
- New version 5.8.1

* Sat Oct 01 2016 neoclust <neoclust> 5.8.0-1.mga6
+ Revision: 1057982
- New version 5.8.0

* Thu Sep 15 2016 neoclust <neoclust> 5.7.95-1.mga6
+ Revision: 1053132
- New version 5.7.95

* Wed Sep 14 2016 neoclust <neoclust> 5.7.5-1.mga6
+ Revision: 1052688
- New version 5.7.5

* Thu Aug 25 2016 neoclust <neoclust> 5.7.4-1.mga6
+ Revision: 1048878
- New version 5.7.4

* Tue Aug 02 2016 neoclust <neoclust> 5.7.3-1.mga6
+ Revision: 1044274
- New version 5.7.3

* Tue Jul 19 2016 neoclust <neoclust> 5.7.2-1.mga6
+ Revision: 1042562
- New version 5.7.2

* Sun Jul 17 2016 neoclust <neoclust> 5.7.1-7.mga6
+ Revision: 1042348
- Rebuild because of failure on armv7 build

* Sun Jul 17 2016 neoclust <neoclust> 5.7.1-6.mga6
+ Revision: 1042339
- Remove wrong require

* Sat Jul 16 2016 neoclust <neoclust> 5.7.1-5.mga6
+ Revision: 1042308
- Add x11-server-xwayland as require of the wayland package

* Sat Jul 16 2016 neoclust <neoclust> 5.7.1-4.mga6
+ Revision: 1042259
- Build drm backend

* Sat Jul 16 2016 neoclust <neoclust> 5.7.1-3.mga6
+ Revision: 1042238
- Make wayland package to require qtwayland5 ( mga #18954)

* Fri Jul 15 2016 neoclust <neoclust> 5.7.1-2.mga6
+ Revision: 1042111
- Add conflict to ease upgrade ( mga #18798)

* Tue Jul 12 2016 neoclust <neoclust> 5.7.1-1.mga6
+ Revision: 1041399
- New version 5.7.1

* Fri Jul 08 2016 neoclust <neoclust> 5.7.0-1.mga6
+ Revision: 1039562
- New version 5.7.0

* Mon Jul 04 2016 neoclust <neoclust> 5.6.5-1.mga6
+ Revision: 1038683
- New version 5.6.5

* Fri May 13 2016 neoclust <neoclust> 5.6.4-1.mga6
+ Revision: 1014544
- New version 5.6.4

* Thu May 05 2016 neoclust <neoclust> 5.6.3-2.mga6
+ Revision: 1009647
- Split out wayland support

* Wed May 04 2016 neoclust <neoclust> 5.6.3-1.mga6
+ Revision: 1009281
- New version 5.6.3

* Fri Apr 08 2016 neoclust <neoclust> 5.6.2-1.mga6
+ Revision: 999265
- New version 5.6.2

* Sun Apr 03 2016 neoclust <neoclust> 5.6.1-1.mga6
+ Revision: 998020
- New version 5.6.1

* Wed Mar 23 2016 neoclust <neoclust> 5.6.0-1.mga6
+ Revision: 994395
- New version 5.6.0

* Mon Mar 07 2016 neoclust <neoclust> 5.5.95-2.mga6
+ Revision: 987087
- Rebuild against kf5 5.20.0

* Thu Mar 03 2016 neoclust <neoclust> 5.5.95-1.mga6
+ Revision: 984723
- New version 5.5.95

* Tue Jan 26 2016 neoclust <neoclust> 5.5.4-1.mga6
+ Revision: 927975
- New version 5.5.4

* Wed Jan 13 2016 neoclust <neoclust> 5.5.3-1.mga6
+ Revision: 922510
- New version 5.5.3
- Rebuild against new cmake to have cmake() provides

* Sat Dec 26 2015 neoclust <neoclust> 5.5.2-1.mga6
+ Revision: 915446
- New version 5.5.2
- Rebuild against Qt 5.6.0 Beta

* Tue Dec 15 2015 neoclust <neoclust> 5.5.1-1.mga6
+ Revision: 910690
- New version 5.5.1

* Tue Dec 08 2015 neoclust <neoclust> 5.5.0-1.mga6
+ Revision: 908851
- New version 5.5.0

* Sun Nov 29 2015 neoclust <neoclust> 5.4.95-2.mga6
+ Revision: 907185
- Rebuild for ARM

* Fri Nov 20 2015 neoclust <neoclust> 5.4.95-1.mga6
+ Revision: 904476
- New version 5.4.95

* Tue Nov 10 2015 neoclust <neoclust> 5.4.90-3.mga6
+ Revision: 900720
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.4.90-2.mga6
+ Revision: 899657
- Rebuild against fixed extra-cmake-modules

* Sat Nov 07 2015 neoclust <neoclust> 5.4.90-1.mga6
+ Revision: 898422
- New version 5.4.90

* Sun Oct 11 2015 neoclust <neoclust> 5.4.2-1.mga6
+ Revision: 889522
- New version 5.4.2

* Wed Sep 09 2015 neoclust <neoclust> 5.4.1-1.mga6
+ Revision: 874734
- New version 5.4.1

* Wed Aug 26 2015 neoclust <neoclust> 5.4.0-1.mga6
+ Revision: 869651
- New version 5.4.0

* Wed Aug 12 2015 neoclust <neoclust> 5.3.95-3.mga6
+ Revision: 863501
- Rebuild against fixed kf5-macros

* Wed Aug 12 2015 neoclust <neoclust> 5.3.95-2.mga6
+ Revision: 863437
- Workaround dbus interface error

* Wed Aug 12 2015 neoclust <neoclust> 5.3.95-1.mga6
+ Revision: 863384
- Fix BuildRequires
- Requires qtmultimedia5 for multimedia playback
- New version 5.3.95

* Sat Aug 01 2015 neoclust <neoclust> 5.3.2-5.mga6
+ Revision: 860416
- Fix files list to not pull devel files

* Sun Jul 19 2015 neoclust <neoclust> 5.3.2-4.mga6
+ Revision: 855421
- Add Conflict to ease upgrade

* Mon Jul 06 2015 neoclust <neoclust> 5.3.2-3.mga6
+ Revision: 852191
- Remove conflicts

* Mon Jul 06 2015 neoclust <neoclust> 5.3.2-2.mga6
+ Revision: 851820
- Remove conficts

* Sun Jul 05 2015 neoclust <neoclust> 5.3.2-1.mga6
+ Revision: 850886
+ rebuild (emptylog)

* Fri Dec 19 2014 neoclust <neoclust> 5.1.2-1.mga5
+ Revision: 804286
- New version

* Mon Oct 27 2014 lmenut <lmenut> 5.0.1-6.mga5
+ Revision: 793584
- add missing conflicts with KDE 4 (mga#14300)

* Wed Oct 15 2014 umeabot <umeabot> 5.0.1-5.mga5
+ Revision: 747040
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.0.1-4.mga5
+ Revision: 681250
- Mageia 5 Mass Rebuild

* Sun Aug 17 2014 lmenut <lmenut> 5.0.1-3.mga5
+ Revision: 664807
- fix duplicated files in kwin and -devel
- mv dbus-1 interfaces in kwin
- fix summaries & descriptions
- use find_lang --all-name

* Sat Aug 16 2014 neoclust <neoclust> 5.0.1-2.mga5
+ Revision: 663942
- Rename as this is not a framework
- Rename

* Fri Aug 15 2014 neoclust <neoclust> 5.0.1-1.mga5
+ Revision: 662785
- New version 5.0.1

* Mon Jul 21 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 655158
- imported package kf5-kwin

